.text-container h1, .text-container h2, .text-container h3, .text-container h4, .text-container h5, div.book h1, div.book h2, div.book h3, div.book h4, div.book h5, div.chapter h1, div.chapter h2, div.chapter h3, div.chapter h4, div.chapter h5 {
    margin-left: 0;
}

.text-container, div.book, div.chapter, div.part, div.appendix, div.glossary {
    margin: 0 10px 60px;
}

.text-container h2, div.book h2, div.chapter h2 {
    margin-top: 32px;
    margin-bottom: 16px;
}

.text-container h3, div.book h3, div.chapter h3 {
    margin-top: 27px;
    margin-bottom: 13px;
}

.text-container h4, div.book h4, div.chapter h4 {
    margin-top: 23px;
    margin-bottom: 11px;
    font-weight: 700;
}

.text-container h5, div.book h5, div.chapter h5 {
    font-weight: 700;
}

body, body.center {
    background-image: none;
    color: #02303A;
    font-weight: 400;
    font-size: 16px;
    -webkit-font-smoothing: antialiased;
    padding: 0;
    margin: 0;
}

body, td, div {
    font-family: 'Lato', sans-serif;
}

body.javadoc div, body.groovydoc div {
    font-size: 11pt;
    line-height: 150%;
}

h1, h2, h3, h4, h5, h6,
.block h1, .block h2, .block h3, .block h4, .block h5, .block h6 {
    text-shadow: none;
    color: #02303A;
    line-height: inherit;
}

.block h1, .block h2, .block h3, .block h4, .block h5 {
    font-weight: 700;
    font-family: inherit;
}

h1 {
    font-weight: 700;
    font-size: 32px;
    margin-top: 30px;
    letter-spacing: -0.01em;
    line-height: 1.2;
    word-spacing: -0.05em;
}

h1.title {
    margin-top: 30px;
}

.titlepage h1.title, .titlepage h2.subtitle {
    color: #02303A;
}

h2 {
    font-weight: 700;
    font-size: 32px;
    letter-spacing: -0.01em;
    line-height: 1.2;
    word-spacing: -0.05em;
}

h3 {
    font-size: 1.6875em;
    line-height: 1.2;
    word-spacing: -0.05em;
    font-weight: 700;
}

h3.releaseinfo {
    display: none;
}

h4 {
    font-size: 1.4375em;
    line-height: 1.2;
    word-spacing: -0.05em;
}

section.table-of-contents {
    padding-bottom: 32px;
}

a, a:link, a:visited, a:focus,
.topNav a, .topNav a:link, .topNav a:visited, .topNav a:focus,
.bottomNav a, .bottomNav a:link, .bottomNav a:visited, .bottomNav a:focus,
.subNav a, .subNav a:link, .subNav a:visited, .subNav a:focus {
    color: #1DA2BD;
    text-decoration: none;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
    border: none;
    outline: none;
}

a:hover, a:active,
.topNav a:hover, .topNav a:active,
.bottomNav a:hover, .bottomNav a:active,
.subNav a:hover, .subNav a:active {
    color: #1C7487;
    border-bottom: 0;
    outline: 0;
    text-decoration: none;
}

/* anchors color change */
/* for the following elements, change the anchor colors */
.table-of-contents a, .table-of-contents a:link, .table-of-contents a:visited, .table-of-contents a:focus,
#fixed-issues-list a, #fixed-issues-list a:link, #fixed-issues-list a:visited, #fixed-issues-list a:focus,
#external-contributions + p + ul > li > a, #external-contributions + p + ul > li > a:link, #external-contributions + p + ul > li > a:visited, #external-contributions + p + ul > li > a:focus,
#known-issues-list a, #known-issues-list a:link, #known-issues-list a:visited, #known-issues-list a:focus,
.toc a, .toc a:link, .toc a:visited, .toc a:focus,
.sidebar a, .sidebar a:link, .sidebar a:visited, .sidebar a:focus,
.list-of-examples a, .list-of-examples a:link, .list-of-examples a:visited, .list-of-examples a:focus,
table a, table a:link, table a:visited, table a:focus {
    color: #02303A;
}

body.javadoc a, body.javadoc a:link, body.javadoc a:visited, body.javadoc a:focus,
body.groovydoc a, body.groovydoc a:link, body.groovydoc a:visited, body.groovydoc a:focus {
    color: #000000;
}

body.javadoc table a, body.javadoc table a:link, body.javadoc table a:visited, body.javadoc table a:focus,
body.groovydoc table a, body.groovydoc table a:link, body.groovydoc table a:visited, body.groovydoc table a:focus {
    color: #000000;
}

body.javadoc .contentContainer .description a, body.javadoc .contentContainer .description a:link,
body.javadoc .contentContainer .summary a, body.javadoc .contentContainer .summary a:link,
body.javadoc .contentContainer .details a, body.javadoc .contentContainer .details a:link {
    color: #1BA8CB;
}

.table-of-contents a:hover, .table-of-contents a:active,
#fixed-issues-list a:hover, #fixed-issues-list a:active,
#external-contributions + p + ul > li > a:hover, #external-contributions + p + ul > li > a:active,
#known-issues-list a:hover, #known-issues-list a:active,
.toc a:hover, .toc a:active,
.sidebar a:hover, .sidebar a:active,
.list-of-examples a:hover, .list-of-examples a:active,
table a:hover, table a:active,
body.javadoc a:hover, body.javadoc a:link:active,
body.groovydoc a:hover, body.groovydoc a:link:active,
body.javadoc table a:hover, body.javadoc table a:link:active,
body.groovydoc table a:hover, body.groovydoc table a:link:active {
    color: #35C1E4;
}

body.javadoc .navbar a:hover, body.javadoc .navbar a:link:active,
body.groovydoc .navbar a:hover, body.groovydoc .navbar a:link:active,
body.javadoc .contentContainer .description a:hover, body.javadoc .contentContainer .description a:link:active,
body.javadoc .contentContainer .summary a:hover, body.javadoc .contentContainer .summary a:link:active,
body.javadoc .contentContainer .details a:hover, body.javadoc .contentContainer .details a:link:active {
    color: #35C1E4;
}

/* end anchors color change */

.book .titlepage div.title {
    border: none;
}

section.footer {
    display: none;
}

.toc, .toc li {
    padding: 0;
    margin: 0;
    list-style: none;
    font-size: 1.0625rem;
}

.toc li {
    margin-top: .2em;
    margin-left: 1.2em;
}

.toc li:before {
    content: '\f054';
    font-family: 'FontAwesome';
    float: left;
    margin-left: -1.5em;
    margin-top: .5em;
    color: #02303A;
    font-size: 11px;
}

ul.toc {
    font-size: 16px;
}

.sidebar {
    padding-top: 15px;
}

.topNav, .bottomNav {
    margin: 55px 0 0 0;
    background-color: white;
    color: #02303A;
    float: left;
    padding-top: 10px;
    width: 100%;
    clear: right;
    height: 2.8em;
    overflow: hidden;
}

.subNav {
    background-color: #dee3e9;
    border-bottom: 1px solid #9eadc0;
    padding-bottom: 0;
    margin-bottom: 0;
    float: left;
    width: 100%;
    overflow: hidden;
}

body.javadoc .header, body.groovydoc .header {
    clear: both;
    margin: 0 20px;
    padding: 5px 0 0 0;
}

.title, .subTitle {
    color: #02303A;
    margin: 10px 0 20px 0;
    white-space: normal;
    word-wrap: break-word;
    line-height: 100%;
}

.subTitle {
    margin: 20px 0 0 0;
}

.overviewSummary, .contentContainer ul li table, .classUseContainer ul li table, .constantValuesContainer ul li table {
    border: 1px solid #02303A !important;
}

.overviewSummary caption, .packageSummary caption, .contentContainer ul.blockList li.blockList caption, .summary caption, .classUseContainer caption, .constantValuesContainer caption, table.overviewSummary caption, .contentContainer ul li table caption {
    color: #02303A;
    border-left: 1px solid #02303A;
    border-top: 1px solid #02303A;
    border-right: 1px solid #02303A;
    padding: 0 0 10px 0;
    position: relative;
    text-align: left;
    background: white no-repeat;
    font-weight: 700;
    clear: none;
    overflow: hidden;
    margin: 0;
    float: none;
}

.overviewSummary caption span,
.packageSummary caption span,
.contentContainer ul.blockList li.blockList caption span,
.summary caption span,
.classUseContainer caption span,
.constantValuesContainer caption span {
    white-space: nowrap;
    padding-top: 8px;
    padding-left: 8px;
    display: block;
    float: left;
    height: 18px;
}

.overviewSummary caption span[class='activeTableTab'],
.packageSummary caption span[class='activeTableTab'],
.contentContainer ul.blockList li.blockList caption span[class='activeTableTab'],
.summary caption span[class='activeTableTab'],
.classUseContainer caption span[class='activeTableTab'],
.constantValuesContainer caption span[class='activeTableTab'] {
    padding-top: 0;
    padding-left: 0;
}

table.overviewSummary {
    padding: 0;
    margin: 0;
}

table.overviewSummary tr td, .contentContainer ul li table tr td {
    font-size: 11pt;
    border: none;
}

td.colFirst, th.colFirst {
    border-left: none;
}

td.colOne a:link, td.colOne a:active, td.colOne a:visited, td.colFirst a:link, td.colFirst a:active, td.colFirst a:visited, td.colLast a:link, td.colLast a:active, td.colLast a:visited, .constantValuesContainer td a:link, .constantValuesContainer td a:active, .constantValuesContainer td a:visited {
    font-weight: 700;
}

td.colOne, th.colOne {
    border: none;
}

td.colLast, th.colLast {
    border-right: none;
}

ul.navList, .topNav ul.navList, .bottomNav ul.navList, .subNav ul.navList, .subNav ul {
    font-size: inherit;
    margin-left: 10px;
    float: left;
    padding: 0;
}

ul.navList li.navBarCell1Rev, .topNav ul.navList, .bottomNav ul.navList {
    background-color: white;
    color: #02303A;
    margin: auto 5px;
}

ul.navList li, ul.subNavList li {
    color: #B3B3B3;
}

ul.navList li, .subNav ul.navList li, .subNav ul li {
    list-style: none;
    float: left;
    padding: 3px 6px;
}

.topNav ul.navList li, .bottomNav ul.navList li {
    list-style: none;
    float: left;
    padding: 3px 6px;
    color: #B3B3B3;
}

.topNav ul.navList li.navBarCell1Rev, .bottomNav ul.navList li.navBarCell1Rev {
    font-weight: normal;
    color: #02303A;
}

#fixed-issues-list {
    padding: 0;
    margin: 0 0 16px 0;
    list-style: none;
}

#fixed-issues-list li {
    margin-top: .2em;
    margin-left: 1.2em;
}

#fixed-issues-list li:before {
    content: '\f054';
    font-family: 'FontAwesome';
    float: left;
    margin-left: -1.5em;
    margin-top: .5em;
    color: #02303A;
    font-size: 11px;
}

section.topic {
    margin: 0 0 16px 0;
}

section.topic ul li {
    margin: 0;
}

section.topic, section.topic ul li {
    padding: 0;
    list-style: none;
}

section.topic ul li {
    margin-top: .2em;
    margin-left: 1.2em;
}

section.topic ul li:before {
    content: '\f054';
    font-family: 'FontAwesome';
    float: left;
    margin-left: -1.5em;
    margin-top: .5em;
    color: #02303A;
    font-size: 11px;
}

.sidebar li.sidebarHeading {
    margin-bottom: 0;
    color: #02303A;
    margin-top: 0;
}

.sidebar li.selected {
    background-color: inherit;
    border: none;
    font-size: 100%;
}

.nav-collapse ul li {
    list-style: none;
}

.gradle img {
    margin-top: -1px;
}

img.logo {
    display: none;
}

#fixed-container {
    max-width: 1200px;
    margin: 60px auto 0;
}

#content-container {
    margin-left: 300px;
    padding-top: 10px;
}

.contentContainer, .sourceContainer, .classUseContainer, .serializedFormContainer, .constantValuesContainer {
    clear: both;
    padding: 10px 20px;
    position: relative;
}

div.navfooter {
    clear: both;
    border: none;
}

div.sidebar {
    position: relative;
    float: left;
    margin-left: 0;
    margin-right: 10px;
}

.dsl .table table {
    width: 100%;
}

.dsl .table table thead td:first-child {
    width: 25%;
    white-space: nowrap;
}

.dsl .table table p {
    margin-bottom: 0;
}

.example, .figure, .table, .note {
    overflow: auto;
}

.segmentedlist table, .table table {
    margin-left: 0;
    margin-right: 0;
}

.text-container p, .chapter p {
    font-size: 1.0625rem;
    letter-spacing: -0.01em;
}

h4.signature {
    margin-right: 0;
}

h2 > a[name][href], h3 > a[name][href], h4 > a[name][href] {
    display: inline-block;
    padding-top: 90px;
    margin-top: -90px;
}

/*
  Pushes the section headings to just below the top nav bar when a user
  navigates directly to section anchors. It doesn't work if you try
  to apply the padding and margin to the `h` elements directly. Don't
  know why.
 */
a[name], h2[id], h3[id] {
    padding-top: 60px;
    margin-top: -60px;
    text-decoration: none;
    border: none;
    display: block;
}

/*
  Javadocs do not have fixed header to avoid adding unnecessary space
  above section.
 */
body.javadoc a[name], body.javadoc h2[id], body.javadoc h3[id],
body.groovydoc a[name], body.groovydoc h2[id], body.groovydoc h3[id] {
    display: inline-block;
    padding-top: 0;
    margin-top: 0;
}

a.footnote, sup a.para {
    display: inline;
}

h3.incubating {
    display: block;
}

a.incubating-marker {
    display: inline;
    color: white;
    font-style: italic;
    font-size: 0.6em;
    text-shadow: none;
    margin-left: 0.6em;
    border-radius: 6px;
    background-color: rgb(160, 160, 160);
    border: 1px solid rgb(150, 150, 150);
    padding: 1px 5px;
    box-shadow: none;
    cursor: pointer;
    vertical-align: 1px;
}

a.incubating-marker:hover {
    text-decoration: none;
    border: 1px solid rgb(150, 150, 150);
}

.toc p {
    color: #02303A !important;
}

.toc p b {
    font-weight: 700 !important;
    font-size: 1.2em;
}

.titlepage .copyright, .titlepage .legalnotice {
    color: #02303A;
}

.ul.navList li, ul.subNavList li {
    color: #6b6b6b !important;
}

pre.code, pre.programlisting {
    background-color: #F7F7F8;
    color: rgba(0, 0, 0, 0.9);
    border-radius: 4px;
}

pre.screen, pre.tt {
    color: rgba(0, 0, 0, 0.9);
    background-color: #F7F7F8;
    border-radius: 4px;
    box-shadow: none;
}

.java_keyword, .java_operator, .hl-keyword {
    color: #1C7487;
}

.java_type, .hl-annotation {
    color: rgba(0, 0, 0, 0.9);
}

.java_comment {
    color: #9A9A9A;
}

.java_literal, .hl-string, .hl-number, .hl-value {
    color: #d14;
}

.java_plain {

}

.java_separator {

}

.tip {
    border: none;
}

.tip .title {
    color: #02303A;
}

.exampleLocation {
    background: #ebf4f7;
    border: solid #c3d9e6 1px;
    color: #02303A;
}

button.display-toggle {
    color: #02303A;
    background-color: white;
    border: 1px solid #02303A;
    border-radius: 3px;
    transition: all .3s ease;
    font-size: 10px;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

button.display-toggle:hover {
    color: #00C489;
    border-color: #00C489;
}

.signature .literal {
    color: #02303A;
}
